> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/platform-service/user/membergroup/describemembergroups.md).

# DescribeMemberGroups

## 1. 接口描述

本接口(DescribeMemberGroups)用于查询成员组列表。用户可以根据名称信息来搜索成员组信息。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称     | 必选 | 类型      | 描述                        |
| -------- | -- | ------- | ------------------------- |
| name     | 否  | String  | 成员组名称。                    |
| pageNum  | 否  | Integer | <p>分页数。</p><p>默认值：1</p>   |
| pageSize | 否  | Integer | <p>分页大小。</p><p>默认值：20</p> |

## 3. 响应结果

| 参数名称       | 类型                                                                                           | 描述                                                       |
| ---------- | -------------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId  | String                                                                                       | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| totalCount | Integer                                                                                      | 符合条件的数据总数。                                               |
| dataSet    | Array of [MemberGroup](/api-reference/cn/platform-service/user/datastructure.md#membergroup) | 成员组列表信息。                                                 |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询成员组列表。用户可以根据名称信息来搜索成员组信息。**

```json
POST /api/v2/user HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeMemberGroups
<Common Request Params>

Request：
{
  "name": "name",
  "pageNum": 1,
  "pageSize": 1
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D4",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D4",
    "totalCount": 1,
    "dataSet": [
                  {
                    "memberGroupId": "policyId",
                    "createTime": "2022-09-08T12:00:00Z",
                    "name": "name"
                  }
               ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
